Get Query Metadata, Processing Status, And Requested Output Configuration
GET
https://api.getcovent.com/api/v1/market-intelligence/queries/miq_123Retrieve query metadata, processing status, and requested output configuration.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X GET "https://api.getcovent.com/api/v1/market-intelligence/queries/miq_123" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json"Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonidstringRequired
id path parameter.
Example: miq_123Response
200application/jsonidstringRequired
id response field.
Example: miq_123statusstringRequired
status response field.
Example: completedgeographyobjectRequired
geography response field.
Example: {"type":"city","value":"Phoenix","state_code":"AZ"}timeframeobjectRequired
timeframe response field.
Example: {"days":90}filtersobjectRequired
filters response field.
Example: {"price_min":150000,"price_max":500000}sectionsarrayRequired
sections response field.
Example: ["market_summary","pricing_metrics","buyer_activity"]created_atstringRequired
created_at response field.
Example: 2026-04-17T20:00:00Zcompleted_atstringRequired
completed_at response field.
Example: 2026-04-17T20:00:08ZResponse Example
{
"id": "miq_123",
"status": "completed",
"geography": {
"type": "city",
"value": "Phoenix",
"state_code": "AZ"
},
"timeframe": {
"days": 90
},
"filters": {
"price_min": 150000,
"price_max": 500000
},
"sections": [
"market_summary",
"pricing_metrics",
"buyer_activity"
],
"created_at": "2026-04-17T20:00:00Z",
"completed_at": "2026-04-17T20:00:08Z"
}